- fixed compliation error using --enable-smartcard